summaryrefslogtreecommitdiff
path: root/help/oc/file-selection.page
diff options
context:
space:
mode:
Diffstat (limited to 'help/oc/file-selection.page')
-rw-r--r--help/oc/file-selection.page69
1 files changed, 69 insertions, 0 deletions
diff --git a/help/oc/file-selection.page b/help/oc/file-selection.page
new file mode 100644
index 00000000..d9de2951
--- /dev/null
+++ b/help/oc/file-selection.page
@@ -0,0 +1,69 @@
+<?xml version="1.0" encoding="utf-8"?>
+<page xmlns="http://projectmallard.org/1.0/" type="topic" id="file-selection" xml:lang="oc">
+ <info>
+ <link type="guide" xref="index#dialogs"/>
+ <desc>Use the <cmd>--file-selection</cmd> option.</desc>
+ </info>
+ <title>File Selection Dialog</title>
+ <p>
+ Use the <cmd>--file-selection</cmd> option to create a file selection dialog. <app>Zenity</app> returns the selected files or directories to standard
+ output. The default mode of the file selection dialog is open.
+ </p>
+ <p>
+ The file selection dialog supports the following options:
+ </p>
+
+ <terms>
+
+ <item>
+ <title><cmd>--filename</cmd>=<var>filename</var></title>
+ <p>Specifies the file or directory that is selected in the file selection dialog when the dialog is first shown.</p>
+ </item>
+
+ <item>
+ <title><cmd>--multiple</cmd></title>
+ <p>Allows the selection of multiple filenames in the file selection dialog.</p>
+ </item>
+
+ <item>
+ <title><cmd>--directory</cmd></title>
+ <p>Allows only selection of directories in the file selection dialog.</p>
+ </item>
+
+ <item>
+ <title><cmd>--save</cmd></title>
+ <p>Set the file selection dialog into save mode.</p>
+ </item>
+
+ <item>
+ <title><cmd>--separator</cmd>=<var>separator</var></title>
+ <p>Specifies the string that is used to divide the returned list of filenames.</p>
+ </item>
+
+ </terms>
+
+ <p>
+ The following example script shows how to create a file selection dialog:
+ </p>
+
+<code>
+#!/bin/sh
+
+FILE=`zenity --file-selection --title="Select a File"`
+
+case $? in
+ 0)
+ echo "\"$FILE\" selected.";;
+ 1)
+ echo "No file selected.";;
+ -1)
+ echo "An unexpected error has occurred.";;
+esac
+</code>
+
+ <figure>
+ <title>File Selection Dialog Example</title>
+ <desc><app>Zenity</app> file selection dialog example</desc>
+ <media type="image" mime="image/png" src="figures/zenity-fileselection-screenshot.png"/>
+ </figure>
+</page>
bgstack15